<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gap__auth__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gap_auth_info_t</compoundname>
    <includes local="no">cy_ble_stack_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gap__auth__info__t_1a02fcfd1a9cde2ed8ddb7434ef18a8cb6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_auth_info_t::security</definition>
        <argsstring />
        <name>security</name>
        <briefdescription>
<para>Security Mode setting will be value of enum cy_en_ble_gap_sec_level_t as follows: (CY_BLE_GAP_SEC_MODE_1 | CY_BLE_GAP_SEC_LEVEL_2) (CY_BLE_GAP_SEC_MODE_1 | CY_BLE_GAP_SEC_LEVEL_3) (CY_BLE_GAP_SEC_MODE_1 | CY_BLE_GAP_SEC_LEVEL_4) (CY_BLE_GAP_SEC_MODE_2 | CY_BLE_GAP_SEC_LEVEL_2) (CY_BLE_GAP_SEC_MODE_2 | CY_BLE_GAP_SEC_LEVEL_3) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="499" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="499" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__auth__info__t_1a13f7ddb7b6c8c2630bd87042a24ee739" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_auth_info_t::bonding</definition>
        <argsstring />
        <name>bonding</name>
        <briefdescription>
<para>Bonding type setting: CY_BLE_GAP_BONDING_NONE CY_BLE_GAP_BONDING. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="505" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="505" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__auth__info__t_1a13fd20d39c093ca6264baa6fd6bdf063" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_auth_info_t::ekeySize</definition>
        <argsstring />
        <name>ekeySize</name>
        <briefdescription>
<para>Encryption Key Size (octets) Minimum = 7 maximum = 16 For a slave initiated security request, this parameter must be ignored. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="512" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="512" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__auth__info__t_1aa5cd74f3d7c538f71662c8fe21020cb5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga8111b4f1559c12cc45f0f9babb16f823">cy_en_ble_gap_auth_failed_reason_t</ref></type>
        <definition>cy_en_ble_gap_auth_failed_reason_t cy_stc_ble_gap_auth_info_t::authErr</definition>
        <argsstring />
        <name>authErr</name>
        <briefdescription>
<para>Parameter to say whether authentication is accepted or rejected with a reason. </para>        </briefdescription>
        <detaileddescription>
<para>accepted = CY_BLE_GAP_AUTH_ERROR_NONE or error code cy_en_ble_gap_auth_failed_reason_t. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="516" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="516" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__auth__info__t_1a2b5e91fdec5db0a6df069fa85b13eb7f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_auth_info_t::pairingProperties</definition>
        <argsstring />
        <name>pairingProperties</name>
        <briefdescription>
<para>Bit 0: MITM (Applicable only if Secure connections) Use CY_BLE_GAP_SMP_SC_PAIR_PROP_MITM_MASK Bit 1: Key press (sets Key press bit in authentication requirements flags of pairing request/response. </para>        </briefdescription>
        <detaileddescription>
<para>Applicable only for secure connections) Use CY_BLE_GAP_SMP_SC_PAIR_PROP_KP_MASK Bit [2-7]: RFU </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="526" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="526" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__auth__info__t_1adeea0bb41bd017473a98090d72cbf9a0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_auth_info_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>Peer bdHandle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="529" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="529" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Authentication Parameters Information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="531" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="490" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="491" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gap__auth__info__t_1aa5cd74f3d7c538f71662c8fe21020cb5" virt="non-virtual"><scope>cy_stc_ble_gap_auth_info_t</scope><name>authErr</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__auth__info__t_1adeea0bb41bd017473a98090d72cbf9a0" virt="non-virtual"><scope>cy_stc_ble_gap_auth_info_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__auth__info__t_1a13f7ddb7b6c8c2630bd87042a24ee739" virt="non-virtual"><scope>cy_stc_ble_gap_auth_info_t</scope><name>bonding</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__auth__info__t_1a13fd20d39c093ca6264baa6fd6bdf063" virt="non-virtual"><scope>cy_stc_ble_gap_auth_info_t</scope><name>ekeySize</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__auth__info__t_1a2b5e91fdec5db0a6df069fa85b13eb7f" virt="non-virtual"><scope>cy_stc_ble_gap_auth_info_t</scope><name>pairingProperties</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__auth__info__t_1a02fcfd1a9cde2ed8ddb7434ef18a8cb6" virt="non-virtual"><scope>cy_stc_ble_gap_auth_info_t</scope><name>security</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>